Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex:

## Public Member Functions
| __construct ($regex, $itemNumber)
| Constructor. More...
| __sleep ()
| match ()
| Returns matched Siteaccess or false if no siteaccess could be matched. More...
| setRequest (SimplifiedRequest $request)
| Injects the request object to match against. More...
| setMatchElement ($element)
| Injects element to match against with the regexp. More...
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher
| getName ()
| Returns the matcher's name. More...

## Protected Member Functions
| getMatchedSiteAccess ()
| Returns matched SiteAccess. More...

## Protected Attributes
| $element
| $regex
| $itemNumber
| $request
| $matchedSiteAccess

## Detailed Description

Definition at line 12 of file Regex.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::__construct | ( |  | $regex,
|  |  | $itemNumber
| ) |  |

Constructor.

Parameters

  string | $regex | Regular Expression to use.
  int | $itemNumber | Item number to pick in regex.

Definition at line 47 of file Regex.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\$itemNumber, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\$regex.

## Member Function Documentation

## ◆ __sleep()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::__sleep | ( |  | ) |

Definition at line 53 of file Regex.php.

## ◆ getMatchedSiteAccess()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::getMatchedSiteAccess | ( |  | ) |
| protected

Returns matched SiteAccess.

Returns
  string|bool

Definition at line 68 of file Regex.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\$itemNumber, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\$matchedSiteAccess.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\match().

## ◆ match()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::match | ( |  | ) |

Returns matched Siteaccess or false if no siteaccess could be matched.

Returns
  string|false

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher.

Definition at line 58 of file Regex.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\getMatchedSiteAccess().

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\URIText\analyseLink().

## ◆ setMatchElement()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::setMatchElement | ( |  | $element | ) |

Injects element to match against with the regexp.

Parameters

  string | $element |

Definition at line 100 of file Regex.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\$element.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\HostText\setRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\Host\setRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI\setRequest(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\URIText\setRequest().

## ◆ setRequest()

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::setRequest | ( | SimplifiedRequest | $request | ) |

Injects the request object to match against.

Parameters

  \eZ\Publish\Core\MVC\Symfony\Routing\SimplifiedRequest | $request |

Implements eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher.

Reimplemented in eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\URIText, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI, eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\Host, and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\HostText.

Definition at line 90 of file Regex.php.

References eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\$request.

## Member Data Documentation

## ◆ $element

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::$element
| protected

Definition at line 19 of file Regex.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\setMatchElement().

## ◆ $itemNumber

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::$itemNumber
| protected

Definition at line 33 of file Regex.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\__construct(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\getMatchedSiteAccess().

## ◆ $matchedSiteAccess

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::$matchedSiteAccess
| protected

Definition at line 39 of file Regex.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\getMatchedSiteAccess().

## ◆ $regex

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::$regex
| protected

Definition at line 26 of file Regex.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\__construct().

## ◆ $request

eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex::$request
| protected

Definition at line 36 of file Regex.php.

Referenced by eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\HostText\getRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\URIText\getRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\HostText\setRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\setRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\Host\setRequest(), eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\Regex\URI\setRequest(), and eZ\Publish\Core\MVC\Symfony\SiteAccess\Matcher\URIText\setRequest().

The documentation for this class was generated from the following file:

- Regex.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.